Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class ColorsAndFontsPropertySection.ColorOverlayImageDescriptor

    java.lang.Object
      org.eclipse.jface.resource.DeviceResourceDescriptor
          org.eclipse.jface.resource.ImageDescriptor
              org.eclipse.jface.resource.CompositeImageDescriptor
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection.ColorOverlayImageDescriptor

Enclosing class:
  ColorsAndFontsPropertySection

protected static class ColorsAndFontsPropertySection.ColorOverlayImageDescriptor
extends CompositeImageDescriptor

An image descriptor that overlays two images: a basic icon and a thin color bar underneath it

Field Summary

Fields inherited from class org.eclipse.jface.resource.ImageDescriptor
`DEFAULT_IMAGE_DATA`

Constructor Summary
`ColorsAndFontsPropertySection.ColorOverlayImageDescriptor(ImageData basicImgData, RGB rgb)` Creates a new color menu image descriptor

Method Summary
`protected void` `drawCompositeImage(int width, int height)`
`protected Point` `getSize()`

Methods inherited from class org.eclipse.jface.resource.CompositeImageDescriptor
`drawImage, getImageData`

Methods inherited from class org.eclipse.jface.resource.ImageDescriptor
`createFromFile, createFromImage, createFromImage, createFromImageData, createFromURL, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getMissingImageDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorsAndFontsPropertySection.ColorOverlayImageDescriptor

    public ColorsAndFontsPropertySection.ColorOverlayImageDescriptor(ImageData basicImgData,
                                                                     RGB rgb)

  Creates a new color menu image descriptor

Parameters:
  `rgb` - The color bar RGB value

Method Detail

### drawCompositeImage

    protected void drawCompositeImage(int width,
                                      int height)

  See Also:
    `CompositeImageDescriptor.drawCompositeImage(int, int)`

### getSize

    protected Point getSize()

  See Also:
    `CompositeImageDescriptor.getSize()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.